# S31 - Download documents for one or multiple shops

DescriptionIt is mandatory to specify either the shop_ids or the document_ids.If a list of document identifiers is specified only these documents are downloaded.    If more than one document id is specified, the documents will be wrapped in a ZIP archiveIf only one document id is specified the document will not be zipped    If a list of shop identifiers is specified, all documents from those shops are downloaded.    Use a list of shop document type codes to retrieve specific types from those shops.    In this case, the output of the API will always be a ZIP archive even if there is only one document to retrieve.  When documents are retrieved, they're wrapped into a ZIP archive except when only one document id is specified. The tree structure of this archive is as follow:
documents-timestamp.zip
|
|__ shop_id_x/
|   |__ foo.txt
|   |__ bar.txt
|   |__ baz.pdf
|
|__ shop_id_y/
|   |__ image.png
|   |__ image(1).png
Returns a 404 if at least one document id, one shop id or one document type code is invalidCall FrequencyRecommended usage: After each S30 call, when you want to download documents from a storeMaximum usage: After each S30 call, when you want to download documents from a storeRead MoreMore context

Endpoint: GET /api/shops/documents/download
Security: Front-Bearer-Token, OAuth-2

## Security:

  - `Front-Bearer-Token` (unknown)
    http bearer JWT

  - `OAuth-2` (unknown)
    oauth2

## Query parameters:

  - `shop_ids` (string)
    A list of shop identifiers (separated by a comma). It is mandatory to specify either the <code>shop_ids</code> or the <code>document_ids</code>

  - `document_ids` (string)
    A list of document identifiers (separated by a comma). It is mandatory to specify either the <code>shop_ids</code> or the <code>document_ids</code>

  - `type_codes` (string)
    A list of document type codes (separated by a comma)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 examples:

  - `Complete example with value types (application/octet-stream)` (unknown)

